Subject: Re: 1.3.10: ttyslot dying, Windows 2000 Server
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Len Giambrone <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jun 2002 18:17:24 -0400

At 06:09 PM 6/14/2002, Len Giambrone wrote:
>> >When I use drwtsn32 to look at what caused the crash, it tells me that
>> >"ttyslot" is the culprit.  By looking at logs, it's clear that ttyslot is
>> >dying in a variety of standard unix programs, like md5sum, tar, etc.
>> 
>> 
>> What's ttyslot?  Answering this and understanding more about it might help
>> you solve your problem.  It's clear this isn't a Cygwin problem per-se 
>> because a search of http://cygwin.com/packages/ for ttyslot turns up nothing.
>> I'll leave it as an exercise for the reader to understand why this indicates
>> it's not a Cygwin issue. ;-)
>
>Perhaps I should have said "ttyslot()".
>
>It's a function in the cygwin.dll.  From cygwin-1.3.10-1/winsup/cygwin/tty.cc:
>
>extern "C"
>int
>ttyslot (void)
>{
>  if (NOTSTATE (myself, PID_USETTY))
>    return -1;
>  return myself->ctty;
>}

OK, if you're saying that Dr. Watson is pointing to ttyslot() in the Cygwin
DLL with it's stack trace, then that would be a Cygwin issue.  ;-)  Sorry,
I don't have any further suggestions for this particular issue at this 
time.  But thanks for the clarification.

I'd still recommend cleaning up your environment.  You want to be sure you're
using Cygwin tools when they're necessary (rather than other name-alikes).

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/